> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/orders/post-methods/split-an-order/request.md).

# Request and Response

## Split an order from a cart ORDERS PACK onto an individual shipment

<mark style="color:green;">`POST`</mark> `https://api.alephcrm.com/v2/orders/{orderId}/split`

#### Query Parameters

| Name                                         | Type    | Description    |
| -------------------------------------------- | ------- | -------------- |
| API\_KEY<mark style="color:red;">\*</mark>   | String  | (default=none) |
| accountId <mark style="color:red;">\*</mark> | Integer | (default=none) |
| orderId                                      | Integer |                |
| splitReasonId                                | Integer |                |

{% tabs %}
{% tab title="200: OK Array of orders" %}

```json
{
  "Status": "string",
  "Message": "string",
  "OrderStatus": OrderSplitShipmentType
}
```

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}
{% endtabs %}

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### orderId

Alephee ID to identify the order.

### splitReasonId

The split ID reasons. The following values are supported:\
1 = fragile: When the cart ORDERS PACK contains fragile material.\
2 = another\_warehouse: When another warehouse will satisfy the order shipping.\
3 = irregular\_shape: When the cart ORDERS PACK contains some items with irregular shape.\
4 = other\_motive: Another reason.
